<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlSigImgMonConf_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlSigImgMonConf_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Signal and image band energy monitoring configuration.  
 <a href="structrl_sig_img_mon_conf__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_monitoring.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a5d5a1c4373ef482217a0eaff785b3310"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5d5a1c4373ef482217a0eaff785b3310"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_sig_img_mon_conf__t.html#a5d5a1c4373ef482217a0eaff785b3310">profileIndx</a></td></tr>
<tr class="memdesc:a5d5a1c4373ef482217a0eaff785b3310"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field indicates the profile index for which this configuration applies. <br /></td></tr>
<tr class="separator:a5d5a1c4373ef482217a0eaff785b3310"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c4a98cb56ab49abc519a22ceded9663"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2c4a98cb56ab49abc519a22ceded9663"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_sig_img_mon_conf__t.html#a2c4a98cb56ab49abc519a22ceded9663">numSlices</a></td></tr>
<tr class="memdesc:a2c4a98cb56ab49abc519a22ceded9663"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of (primary + secondary) slices to monitor Valid range: 1 to 127. <br /></td></tr>
<tr class="separator:a2c4a98cb56ab49abc519a22ceded9663"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ef2d94ec58d5eb3e6d0c961250d6c75"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6ef2d94ec58d5eb3e6d0c961250d6c75"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_sig_img_mon_conf__t.html#a6ef2d94ec58d5eb3e6d0c961250d6c75">timeSliceNumSamples</a></td></tr>
<tr class="memdesc:a6ef2d94ec58d5eb3e6d0c961250d6c75"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field specifies the number of samples constituting each time slice. The <br />
 minimum allowed value for this parameter is 4. <br />
 Valid range: 4 to NUM_ADC_SAMPLES <br />
 NOTE: The maximum number of (primary) time slices that will be monitored in a <br />
 chirp is 64, so our recommendation is that this value should at least equal <br />
 (NUM_ADC_SAMPLES / 64). If the slice is smaller, such that the number of ADC <br />
 samples per chirp is larger than 64 primary slices, some regions of the valid <br />
 duration of a chirp may go un-monitored. <br />
. <br /></td></tr>
<tr class="separator:a6ef2d94ec58d5eb3e6d0c961250d6c75"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19fc1afc9402e64f8aba86245645766d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a19fc1afc9402e64f8aba86245645766d"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_sig_img_mon_conf__t.html#a19fc1afc9402e64f8aba86245645766d">reserved0</a></td></tr>
<tr class="memdesc:a19fc1afc9402e64f8aba86245645766d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a19fc1afc9402e64f8aba86245645766d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04b89d8f1e20310706ff827332f2f25a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a04b89d8f1e20310706ff827332f2f25a"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_sig_img_mon_conf__t.html#a04b89d8f1e20310706ff827332f2f25a">reserved1</a></td></tr>
<tr class="memdesc:a04b89d8f1e20310706ff827332f2f25a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a04b89d8f1e20310706ff827332f2f25a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Signal and image band energy monitoring configuration. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_monitoring.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
